{
  num: 120,
  accuracy: 100,
  basePower: 100,
  category: "Physical",
  name: "Self-Destruct",
  pp: 5,
  priority: 0,
  flags: { protect: 1, mirror: 1, metronome: 1, noparentalbond: 1 },
  selfdestruct: "always",
  onPrepareHit(target, source, move) {
    target.addVolatile('halvedef');
  },
  secondary: null,
  target: "allAdjacent",
  type: "Normal",
  contestType: "Beautiful"
}